> For the complete documentation index, see [llms.txt](https://docs.struct.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.struct.com/reference/pim/global-lists.md).

# Global Lists

Create, edit or delete global list values for your global lists.

You can add, edit or delete global list values through [PIM](/reference/pim.md) > [Global Lists](/reference/pim/global-lists.md).

{% hint style="warning" %}
This page is for managing global list values. If you are looking to manage global lists and their data models, you are looking for this page: [Global lists](/reference/settings/data-models/global-lists.md)
{% endhint %}

### View global list values

1. Navigate to the global list you wish to view global list values for using the left sidebar
2. Global list values are shown on the global list

### Find global list values

1. Click column header to search in
2. Type value to search for

{% hint style="info" %}
**Tip** To read about how to search more effectively, read here: [Search help](/reference/pim/search/search-help.md)
{% endhint %}

### Add a new global list value

1. Click "+ Add a new value"
2. Set attributes
3. Click "Save"

### Edit global list value

1. Click "Edit"-icon
2. Modify attributes
3. Click "Save"

### Delete global list value

1. Click "Delete"-icon
2. Confirm deletion

### Bulk delete global list values

1. Select the global list values you want to delete
2. Click "Delete"-icon
3. Confirm deletion

### Bulk update global list values

1. Select the global list values you want to update
2. Click "Bulk update global list values"-icon
3. Select data field you wish to update
4. Set operation type and new value
5. Click "Show update report" or "Confirm without reviewing changes"

### Bulk export global list values

1. Select the global list values you want to export
2. Click "Export"-icon or use the keyboard shortcut ctrl+alt+e
3. Select fields to export
4. Click "Start export"

### Bulk translate global list values

1. Select global list values you want to translate
2. Follow instructions from the AI Assistant

### Create task with global list values attached

1. Select the global list values you want to attach to a new task
2. Click "Create task"-icon or use the keyboard shortcut ctrl+alt+t
3. Set [task details](/reference/tasks/task-details.md)
4. Click "Create task"

### Quick export global list values

1. Select the global list values to export or leave empty to export all
2. Click "Quick export"

### Sort global list values

1. Click "Sort global list values"-icon
2. Drag-and-drop to sort
3. Click "Save"

### Swap to grid view

Click "Grid"-icon or use the keyboard shortcut ctrl+shift+g

### Swap to table view

Click "Table"-icon or use the keyboard shortcut ctrl+shift+h

### Manage columns

1. Click "Manage columns"-icon or use the keyboard shortcut ctrl+shift+c
2. Manage columns
3. Click "Update columns"


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://docs.struct.com/reference/pim/global-lists.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
